<div class="button-bar">
  <button (click)="embed = 'iframe'">Use iframe</button>
  <button (click)="embed = 'object'">Use object</button>
  <button (click)="embed = 'video'">Use youtube iframe</button>
  <button (click)="embed = 'none'">Reset</button>
</div>
<div class="i-frame-container">
  <iframe *ngIf="embed === 'iframe'" src="https://www.wikipedia.de/" width="100%" height="100%" sandbox="allow-forms allow-scripts"></iframe>
  <object *ngIf="embed === 'object'" data="https://www.wikipedia.de/" width="100%" height="100%"></object>
  <iframe *ngIf="embed === 'video'" width="560" height="315" src="https://www.youtube.com/embed/kopoLzvh5jY" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
